<%@ LANGUAGE = VBScript %>

<HTML>
<HEAD>
<META NAME="GENERATOR" Content="Microsoft Developer Studio">
<META HTTP-EQUIV="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>Online Database</TITLE>
</HEAD>

<BODY BGCOLOR=#ffffff leftmargin=5 topmargin=5>
<FONT FACE=Arial>


<%
On Error Resume Next

If Not IsObject(Session("ActiveSQLdb")) Then
  Response.Write("No connection to a database established!")
  Response.End
End If

Dim thisDb
Set thisDb = Session("ActiveSQLdb")

Select Case Request("DBOType")
  Case "Table"
    Set theTable = thisDb.Tables(CStr(Request("DBObject")))
    If Err.Number > 0 Then
      Response.Write("Table does not exist in Database!<BR>" & Err.Description)
      Response.End
    End If
    PrintTable theTable
    Set theTable = Nothing

  Case "SP"
    Set theSP = thisDb.StoredProcedures(CStr(Request("DBObject")))
    If Err.Number > 0 Then
      Response.Write("SP does not exist in Database!<BR>" & Err.Description)
      Response.End
    End If
    PrintSP theSP
    Set theSP = Nothing

  Case "View"
    Set theView = thisDb.Views(CStr(Request("DBObject")))
    If Err.Number > 0 Then
      Response.Write("View does not exist in Database!<BR>" & Err.Description)
      Response.End
    End If
    PrintView theView
    Set theView = Nothing

  Case Else
    Response.Write("Not a valid action selected!")
	Response.End
End Select

Set thisDb = Nothing
%>
 

<SCRIPT RUNAT=SERVER LANGUAGE=VBScript>

Sub PrintView(thisView)
If Not thisView.SystemObject Then
  Response.Write "<CENTER><H3>" & thisView.Name & " view</H3><CENTER>"
  Response.Write "<TABLE BORDER=1 WIDTH=""80%""><tr><td>"
  Response.Write "<PRE>" & thisView.Text & "</PRE>"
  Response.Write "</td></tr></TABLE>"
End If
End Sub

Sub PrintSP(thisSP)
If Not thisSP.SystemObject Then
  Response.Write "<CENTER><H3>" & thisSP.Name & " stored procedure</H3><CENTER>"
  Response.Write "<TABLE BORDER=1 WIDTH=""80%""><tr><td>"
  Response.Write "<PRE>" & thisSP.Text & "</PRE>"
  Response.Write "</td></tr></TABLE>"
End If
End Sub

Sub PrintTable(thisTable)
If Not thisTable.SystemObject Then
  HasDef = False
  Response.Write "<CENTER><H3>" & thisTable.Name & " table</H3><CENTER>"
  Response.Write "<TABLE BORDER=1 WIDTH=""80%"">"
  Response.Write "<tr><th>Name</th><th>Datatype</th><th>Length</th><th>Indexinfo</th></tr>"
         
  For Each DBField In thisTable.Columns
        Indexed = False
        PK = False
        Response.write  "<TR><TH WIDTH=""35%"">"
        Response.write  DBField.Name & "</TH><TD WIDTH=""15%"">"
        Response.write  DBField.Datatype & "</TD><TD WIDTH=""15%"">"
        Response.write  DBField.Length & "</TD><TD WIDTH=""15%"">"
        If DBField.InPrimaryKey Then
           PK = True
        Else
            PK = False
        End If
        
        If DBField.AllowNulls Then
            Nulls = True
        Else
            Nulls = False
        End If
                        
            
		DefID = dbfield.default
        DefID = Mid(DefID, 5, Len(DefID))

		For Each DBDefault In thisDb.Defaults
            If DefID = DBDefault.Name Then
                DefArray(I, 0) = thisTable.Name
                DefArray(I, 1) = DBField.Name
                DefArray(I, 2) = DBDefault.Text
                I = I + 1
                HasDef = True
            End If
        Next
        
        
        
        For Each DBIndex In thisTable.Indexes
            If DBIndex.Name = DBField.Name Then
                Indexed = True
                Exit For
            End If
        Next
        If PK Then
            Response.write  "Key & Indexed "
        Else
            If Indexed Then
                Response.write  "Indexed "
            End If
        End If
        If Not Nulls Then
            Response.write  "Not Null"
        End If
        If HasDef Then
            Response.write  "<EM>(" & I & ")</EM>"
            HasDef = False
        End If
        Response.write  "&nbsp</TD></TR>"
    Next
    Response.write  "</TABLE><BR><BR>"
End If
End Sub

</SCRIPT>


</BODY>
</HTML>